/*
 * sbus.c
 * Originally Created: Eiichiro Ito(GHC02331@nifty.com)
 * Modified: 2010/04/27, Eiichiro Ito(GHC02331@nifty.com)
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <termios.h>
#include <time.h>
#include <sys/types.h>
#include "armadillo2x0_gpio.h"

#define GPIODEV "/dev/gpio"

int
gpio_getsw( int no )
{
  int fd, ret;
  struct gpio_param param;

  memset( &param, 0, sizeof (struct gpio_param) );
  param.no = no == 1 ? GPIO12 : GPIO11 ;
  param.mode = MODE_GET;
  param.data.i.int_enable = 0;
  param.data.i.int_type = 0;
  fd = open( GPIODEV, O_RDWR );
  ioctl( fd, PARAM_GET, &param );
  ret = param.data.i.value;
  close( fd );
  return ret;
}

void
gpio_setled( int no, int on )
{
  int fd, ret;
  struct gpio_param param;

  memset( &param, 0, sizeof (struct gpio_param) );
  param.no = no == 1 ? GPIO9 : GPIO10;
  param.mode = MODE_OUTPUT;
  param.data.o.value = on;
  fd = open( GPIODEV, O_RDWR );
  ioctl( fd, PARAM_SET, &param );
  close( fd );
}
