#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sbus.h"

int speed, ch, new_deg, cur_deg;

int
main( int argc, char *argv[] )
{
  int i, delta_deg;

  speed = 50;
  printf("SBUS INIT :");
  if ( sbus_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  sbus_reset();
  sbus_usetrim(1);
  sbus_getwidth();
  sbus_setpwm();
  sbus_initnext();
  for ( i = 1; i < argc; i += 2 ) {
    ch = atoi( argv[i] );
    new_deg = atoi( argv[i+1] );
    if ( ch < 0 || ch > 23 ) {
      printf( "Error: invalid ch(0..23)\n" );
      exit(1);
    }
    if ( new_deg < -90 || new_deg > 90 ) {
      printf( "Error: invalid degree(-90..90)\n" );
      exit(1);
    }
    printf( "ch=%d, degrees=%d\n", ch, new_deg );
    sbus_setnext( ch, new_deg * PWM_DEG );
  }
  while ( !sbus_stepnext( ASPEED_MAX ) ) {
    sbus_setwidth();
  }
  return 0;
}
