#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sbus.h"

int speed, lr;

int
main( int argc, char *argv[] )
{
  int value;

  if ( argc < 3 ) {
    printf( "%s lr angle [speed]\n\tlr: 0=Left, 1=Right", argv[0] );
    exit(1);
  }
  lr = atoi( argv[1] );
  value = atoi( argv[2] );
  if ( value < 0 ) {
    printf( "%s: invalud angle\n", argv[0] );
    exit(1);
  }
  speed = argc > 3 ? atoi( argv[3] ) : 50;
  printf("SBUS INIT :");
  if ( sbus_init() != 0 ) {
    printf("NG\n");
    exit(1);
  }
  printf("OK\n");
  sbus_reset();
  sbus_usetrim(1);
  sbus_getwidth();
  sbus_setpwm();
  sbus_initnext();
  if ( lr == 0 ) {
    sbus_setnext( 11, value * PWM_DEG );
    sbus_setnext( 12, value * PWM_DEG * 2 );
    sbus_setnext( 13, value * PWM_DEG );
  } else {
    sbus_setnext( 17, value * PWM_DEG );
    sbus_setnext( 18, value * PWM_DEG * 2 );
    sbus_setnext( 19, value * PWM_DEG );
  }
  sbus_movesync( speed );
  return 0;
}
